POST
/pipelines/experiments/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/experiments/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "description": "string"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/experiments/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "string", "description": "string", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/experiments/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Name of the experiment
string
description
Description of the experiment
string
Example generated
{ "name": "example", "description": "example"}Responses
Section titled “Responses”Experiment created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
experiment_id
string format: uuid
created_at
string format: date-time
updated_at
string format: date-time
source
string
errors
object
message
string
Example
{ "code": 200, "data": { "id": 843, "name": "experiment-11141628022", "description": null, "experiment_id": "26dab7fb-37c2-49fb-97ba-c91922bde1a1", "created_at": "2024-11-14T10:58:04.228536Z", "updated_at": "2024-11-14T10:58:04.228604Z", "source": "pipeline" }, "errors": {}, "message": "Success"}